### Virtual Method

# Gio MenuModel iterate_item_attributes

since: 2.32

#### Declaration [src]

    GMenuAttributeIter*
    iterate_item_attributes (
      GMenuModel* model,
      gint item_index
    )

#### Description [src]

Creates a `GMenuAttributeIter` to iterate over the attributes of the item at position `item_index` in `model`.

You must free the iterator with `g_object_unref()` when you are done.

Available since: 2.32

#### Parameters

`item_index`

  Type: `gint`

  The index of the item.

#### Return value

Type: `GMenuAttributeIter`

A new `GMenuAttributeIter`.

The caller of the method takes ownership of the returned data, and is responsible for freeing it.